diff -Naur u-boot-2006-05-10-1800/Makefile u-boot-2006-05-10-1800-microblaze/Makefile
--- u-boot-2006-05-10-1800/Makefile	2006-05-10 17:43:20.000000000 +0200
+++ u-boot-2006-05-10-1800-microblaze/Makefile	2006-06-14 22:47:29.000000000 +0200
@@ -1910,6 +1910,11 @@
 	@echo "#define CONFIG_SUZAKU 1" >> include/config.h
 	@./mkconfig -a $(@:_config=) microblaze microblaze suzaku AtmarkTechno

+ml401_config:	unconfig
+	@ >include/config.h
+	@echo "#define CONFIG_ML401 1" >> include/config.h
+	@./mkconfig -a $(@:_config=) microblaze microblaze ml401 xilinx
+
 #########################################################################
 ## Blackfin
 #########################################################################
 
diff -Naur u-boot-2006-05-10-1800/cpu/microblaze/Makefile u-boot-2006-05-10-1800-microblaze/cpu/microblaze/Makefile
--- u-boot-2006-05-10-1800/cpu/microblaze/Makefile	2006-05-10 17:43:20.000000000 +0200
+++ u-boot-2006-05-10-1800-microblaze/cpu/microblaze/Makefile	2006-05-15 22:14:23.000000000 +0200
@@ -26,17 +26,20 @@
 LIB	= lib$(CPU).a

 START	= start.o
-OBJS	= cpu.o interrupts.o
-
-all:	.depend $(START) $(LIB)
-
-$(LIB):	$(OBJS)
-	$(AR) crv $@ $(OBJS)
+INT	= microblaze_enable_interrupts.o  microblaze_disable_interrupts.o irq.o \
+	  icache.o dcache.o
+OBJS	= cpu.o interrupts.o timer.o exception.o cache.o
+
+all:	.depend $(START) $(INT) $(LIB)
+
+$(LIB):	$(OBJS) $(INT)
+	$(AR) crv $@ $(INT) $(OBJS)
+#	$(AR) crv $@ $(OBJS)

 #########################################################################

-.depend: Makefile $(START:.o=.S) $(OBJS:.o=.c) $(AOBJS:.o=.S)
-	$(CC) -M $(CFLAGS) $(START:.o=.S) $(OBJS:.o=.c) $(AOBJS:.o=.S) > $@
+.depend: Makefile $(START:.o=.S) $(INT:.o=.S) $(OBJS:.o=.c) $(AOBJS:.o=.S)
+	$(CC) -M $(CFLAGS) $(START:.o=.S) $(INT:.o=.S) $(OBJS:.o=.c) $(AOBJS:.o=.S) > $@

 sinclude .depend

